#ifndef __TERM_H
#define __TERM_H

#define TERM_STATE_NORMAL 0
#define TERM_STATE_ESC 1
#define TERM_STATE_CSI 2

struct term_cursor {
	int x;
	int y;
};

struct term {
	int state;
	struct term_cursor cursor;
	char **lines;
	int rows;
	int cols;
};

void term_init(struct term *t, int rows, int cols);

void term_put(struct term *t, char c);
void term_put_string(struct term *t, char *str);

char *term_to_string(struct term *t);

#endif
